Uses of Class
org.codelibs.fess.entity.SearchRequestParams
Packages that use SearchRequestParams
Package
Description
-
Uses of SearchRequestParams in org.codelibs.fess.api.v2.handlers
Subclasses of SearchRequestParams in org.codelibs.fess.api.v2.handlersModifier and TypeClassDescriptionclassSearch request parameters for the/api/v2surface. -
Uses of SearchRequestParams in org.codelibs.fess.app.web.admin.searchlist
Subclasses of SearchRequestParams in org.codelibs.fess.app.web.admin.searchlist -
Uses of SearchRequestParams in org.codelibs.fess.app.web.api.admin.searchlist
Subclasses of SearchRequestParams in org.codelibs.fess.app.web.api.admin.searchlistModifier and TypeClassDescriptionclassSearch request body for search list administration API. -
Uses of SearchRequestParams in org.codelibs.fess.app.web.base
Subclasses of SearchRequestParams in org.codelibs.fess.app.web.baseModifier and TypeClassDescriptionclassBase search form class that extends SearchRequestParams. -
Uses of SearchRequestParams in org.codelibs.fess.chat
Subclasses of SearchRequestParams in org.codelibs.fess.chatModifier and TypeClassDescriptionprotected static classSearch request parameters for RAG chat context retrieval.protected static classChat search params restricted to specific doc ids, using the answer-specific highlight settings (rag.chat.answer.highlight.*) instead of the display-orientedrag.chat.highlight.*. -
Uses of SearchRequestParams in org.codelibs.fess.helper
Methods in org.codelibs.fess.helper that return SearchRequestParamsModifier and TypeMethodDescriptionprotected SearchRequestParamsSearchHelper.rewrite(SearchRequestParams params) Applies registered parameter rewriters to modify search request parameters.SearchHelper.SearchRequestParamsRewriter.rewrite(SearchRequestParams params) Rewrites the given search request parameters.Methods in org.codelibs.fess.helper with parameters of type SearchRequestParamsModifier and TypeMethodDescriptionvoidSearchLogHelper.addSearchLog(SearchRequestParams params, LocalDateTime requestedTime, String queryId, String query, int pageStart, int pageSize, QueryResponseList queryResponseList) Adds a search log to the queue.protected voidSearchLogHelper.createSearchLog(SearchRequestParams params, LocalDateTime requestedTime, String queryId, String query, int pageStart, int pageSize, QueryResponseList queryResponseList, SearchLogHelper.SearchLogContext context) Builds a SearchLog from the given parameters and context, then adds it to the queue.protected SearchLogHelper.SearchLogContextSearchLogHelper.createSearchLogContext(SearchRequestParams params, org.codelibs.fess.mylasta.direction.FessConfig fessConfig) Resolves the runtime dependencies needed to build a SearchLog.longSearchHelper.deleteByQuery(jakarta.servlet.http.HttpServletRequest request, SearchRequestParams params) Deletes documents matching the specified search parameters.String[]SearchHelper.getLanguages(jakarta.servlet.http.HttpServletRequest request, SearchRequestParams params) Extracts and normalizes language preferences from request parameters or browser locale.protected SearchRequestParamsSearchHelper.rewrite(SearchRequestParams params) Applies registered parameter rewriters to modify search request parameters.SearchHelper.SearchRequestParamsRewriter.rewrite(SearchRequestParams params) Rewrites the given search request parameters.longSearchHelper.scrollSearch(SearchRequestParams params, BooleanFunction<Map<String, Object>> cursor, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean) Performs a scroll search for processing large result sets efficiently.voidSearchHelper.search(SearchRequestParams searchRequestParams, SearchRenderData data, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean) Performs a search operation and populates the search render data with results.SearchHelper.searchInternal(String query, SearchRequestParams params, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean) Internal search method that executes the actual search query. -
Uses of SearchRequestParams in org.codelibs.fess.rank.fusion
Subclasses of SearchRequestParams in org.codelibs.fess.rank.fusionModifier and TypeClassDescriptionprotected static classWrapper class for SearchRequestParams that allows overriding specific parameters.Methods in org.codelibs.fess.rank.fusion that return SearchRequestParamsModifier and TypeMethodDescriptionRankFusionProcessor.SearchRequestParamsWrapper.getParent()Gets the parent SearchRequestParams object that this wrapper delegates to.Methods in org.codelibs.fess.rank.fusion with parameters of type SearchRequestParamsModifier and TypeMethodDescriptionprotected SearchEngineClient.SearchCondition<org.opensearch.action.search.SearchRequestBuilder> DefaultSearcher.createSearchCondition(String query, SearchRequestParams params, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean) Creates a search condition for the OpenSearch request.protected SearchResultDefaultSearcher.search(String query, SearchRequestParams params, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean) Performs a search operation using the specified query and parameters.RankFusionProcessor.search(String query, SearchRequestParams params, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean) Performs a search operation using rank fusion across available searchers.protected abstract SearchResultRankFusionSearcher.search(String query, SearchRequestParams params, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean) Executes a search operation with the specified parameters.RankFusionProcessor.searchWithMainSearcher(RankFusionSearcher searcher, String query, SearchRequestParams params, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean) Performs a search using only the main searcher without rank fusion.RankFusionProcessor.searchWithMultipleSearchers(RankFusionSearcher[] searchers, String query, SearchRequestParams params, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean) Performs concurrent searches using multiple searchers and fuses the results.protected org.dbflute.optional.OptionalEntity<org.opensearch.action.search.SearchResponse> DefaultSearcher.sendRequest(String query, SearchRequestParams params, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean) Sends a search request to OpenSearch with the specified parameters. -
Uses of SearchRequestParams in org.codelibs.fess.util
Methods in org.codelibs.fess.util with parameters of type SearchRequestParamsModifier and TypeMethodDescriptionQueryStringBuilder.params(SearchRequestParams params) Sets the search request parameters for this builder.